package com.pj.api.dto;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @Author Mechrevo
 * @Date 2023 08 30 09 12
 **/

public class OrderDto implements Serializable {
    private Long id;

    /**
     * 订单号
     */
    private String tradeNo;

    /**
     * 交易地区ID
     */
    private Long tradeAreaId;

    /**
     * 交易地区名称
     */
    private String tradeAreaName;

    /**
     * 地区ID集合
     */
    private String addressIds;

    /**
     * 过审商品id
     */
    private Long goodsId;

    /**
     * 卖家ID
     */
    private Long saleMainId;

    /**
     * 购买的互市组ID
     */
    private Long groupId;

    /**
     * 买家ID
     */
    private Long buyUserId;

    /**
     * 买家
     */
    private String buyUserName;

    /**
     * 购买用户类型(3=边民,2=组长)
     */
    private String buyUserType;

    /**
     * 商家ID
     */
    private Long enterpriseId;

    /**
     * 商家名称
     */
    private String enterpriseName;

    /**
     * 总重量
     */
    private Double totalWeight;

    /**
     * 总金额
     */
    private Double totalPrice;

    /**
     * 交易时间
     */
    private Date tradeTime;

    /**
     * 交易状态(0=未支付,1=已支付)
     */
    private Integer tradeStatus;

    /**
     * 支付方式(0=金融互助,1=现金刷卡)
     */
    private Integer payType;

    /**
     * 结算时间
     */
    private Date settleTime;

    /**
     * 当前结算金额
     */
    private Double realPrice;

    /**
     * 应结金额
     */
    private Double shouldPrice;

    /**
     * 对账人
     */
    private Long settleUserId;

    /**
     * 对账人员
     */
    private Long recordUserId;

    /**
     * 对账时间
     */
    private String recordTime;

    /**
     * 是否对账(0=否,)
     */
    private String record;

    /**
     * 退款状态[1=退款成功 2=退款失败]
     */
    private Integer refundStatus;
    /**
     * 退款原因
     */
    private String refundReason;

    /**
     * 退款时间
     */
    private Date refundTime;

    /**
     * 收货人名称
     */
    private String receiveName;

    /**
     * 收货人电话
     */
    private String receivePhone;

    /**
     * 收货地址
     */
    private String receiveAddress;

    /**
     * 出互市区时间
     */
    private Date outTime;

    /**
     * 商品名称字符串
     */
    private String goodsNames;

    /**
     * 商品图片
     */
    private String goodsImg;

    /**
     * 申报
     */
    private Integer apply;

    /**
     * 申报时间
     */
    private Date applyTime;

    /**
     * 申报结果
     */
    private String applyResult;

    /**
     * 申报单号
     */
    private Long applyNo;

    /**
     * 申报失败理由
     */
    private String applyFailReason;

    /**
     * 分配方式(0=均分,1=自选数量)
     */
    private String distribution;

    /**
     * 边民确认
     */
    private String peopleConfirmStatus;

    /**
     * 边民确认类型
     */
    private String peopleConfirmType;

    /**
     * 边民确认时间
     */
    private String peopleConfirmTime;

    /**
     * 一级市场商户确认(0=待确认,1=是,2=否)
     */
    private Integer enterpriseConfirm;

    /**
     * 是否接单
     */
    private String pick;

    /**
     * 接单时间
     */
    private Date pickTime;

    /**
     * 商铺ID
     */
    private Long shopId;

    /**
     * 商铺名称
     */
    private String shopName;

    /**
     * 是否发货
     */
    private Integer send;

    /**
     * 发货时间
     */
    private Date sendTime;

    /**
     * 对应合作社的拼单订单ID
     */
    private Long collageOrdersId;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 创建人编号
     */
    private String createBy;

    /**
     * 创建人名称
     */
    private String createName;

    /**
     * 更新时间
     */
    private Date updateTime;

    /**
     * 更新人编号
     */
    private Long updateBy;

    /**
     * 更新人名称
     */
    private String updateName;

    /**
     * 删除状态(0=禁用,1=启用)
     */
    private Integer deleteStatus;

    /**
     * 是否转售(0=未转售,1=已转售,2=转售中)
     */
    private Integer resaleStatus;

    /**
     * 订单完成状态(0=未完成,1=已完成)
     */
    private Integer finishStatus;

    /**
     * 边民或组长取消订单(0=未取消,1=已取消)
     */
    private Integer cancelPeople;

    /**
     * 商品单位
     */
    private String goodsUnit;

    /**
     * 叫车状态
     */
    private Integer callCarStatus;

    /**
     * 互助委托申报确认状态
     */
    private String cooperEntrustStatus;

    /**
     * 互助委托申报确认时间
     */
    private Date cooperEntrustTime;

    /**
     * 边民进口申报确认状态
     */
    private String applyConfirmStatus;

    /**
     * 边民进口申报确认时间
     */
    private Date applyConfirmTime;

    /**
     * 车牌号
     */
    private String veNo;

    /**
     * 车航次(班)号
     */
    private String voyageNo;

    /**
     *
     */
    private String preNo;

    /**
     * 预申报编号
     */
    private String platSeqNo;

    /**
     * 边民姓名
     */
    private String borderName;

    /**
     * 身份证号
     */
    private String idno;

    /**
     * 边民备案编号
     */
    private String borderPutrecNo;

    /**
     * 结算单号
     */
    private String settleBillNo;

    /**
     * 申报金额
     */
    private Double buyAmount;

    /**
     * 净重
     */
    private Double netWt;

    /**
     * 毛重
     */
    private Double grossWt;

    /**
     * 申报数量
     */
    private Double buyQty;

    /**
     * 第一数量
     */
    private Double buyQty1;

    /**
     * 第二数量
     */
    private Double buyQty2;

    /**
     * 进出口预申报单号
     */
    private String preIeportNo;

    /**
     * 商品单价
     */
    private Double declPrice;
    /**
     * 商品编码
     */
    private String codeTs;

    private BigDecimal upPrice;

    public BigDecimal getUpPrice() {
        return upPrice;
    }

    public void setUpPrice(BigDecimal upPrice) {
        this.upPrice = upPrice;
    }

    public Double getDeclPrice() {
        return declPrice;
    }

    public void setDeclPrice(Double declPrice) {
        this.declPrice = declPrice;
    }

    public String getCodeTs() {
        return codeTs;
    }

    public void setCodeTs(String codeTs) {
        this.codeTs = codeTs;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getTradeNo() {
        return tradeNo;
    }

    public void setTradeNo(String tradeNo) {
        this.tradeNo = tradeNo;
    }

    public Long getTradeAreaId() {
        return tradeAreaId;
    }

    public void setTradeAreaId(Long tradeAreaId) {
        this.tradeAreaId = tradeAreaId;
    }

    public String getTradeAreaName() {
        return tradeAreaName;
    }

    public void setTradeAreaName(String tradeAreaName) {
        this.tradeAreaName = tradeAreaName;
    }

    public String getAddressIds() {
        return addressIds;
    }

    public void setAddressIds(String addressIds) {
        this.addressIds = addressIds;
    }

    public Long getGoodsId() {
        return goodsId;
    }

    public void setGoodsId(Long goodsId) {
        this.goodsId = goodsId;
    }

    public Long getSaleMainId() {
        return saleMainId;
    }

    public void setSaleMainId(Long saleMainId) {
        this.saleMainId = saleMainId;
    }

    public Long getGroupId() {
        return groupId;
    }

    public void setGroupId(Long groupId) {
        this.groupId = groupId;
    }

    public Long getBuyUserId() {
        return buyUserId;
    }

    public void setBuyUserId(Long buyUserId) {
        this.buyUserId = buyUserId;
    }

    public String getBuyUserName() {
        return buyUserName;
    }

    public void setBuyUserName(String buyUserName) {
        this.buyUserName = buyUserName;
    }

    public String getBuyUserType() {
        return buyUserType;
    }

    public void setBuyUserType(String buyUserType) {
        this.buyUserType = buyUserType;
    }

    public Long getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(Long enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public String getEnterpriseName() {
        return enterpriseName;
    }

    public void setEnterpriseName(String enterpriseName) {
        this.enterpriseName = enterpriseName;
    }

    public Double getTotalWeight() {
        return totalWeight;
    }

    public void setTotalWeight(Double totalWeight) {
        this.totalWeight = totalWeight;
    }

    public Double getTotalPrice() {
        return totalPrice;
    }

    public void setTotalPrice(Double totalPrice) {
        this.totalPrice = totalPrice;
    }

    public Date getTradeTime() {
        return tradeTime;
    }

    public void setTradeTime(Date tradeTime) {
        this.tradeTime = tradeTime;
    }

    public Integer getTradeStatus() {
        return tradeStatus;
    }

    public void setTradeStatus(Integer tradeStatus) {
        this.tradeStatus = tradeStatus;
    }

    public Integer getPayType() {
        return payType;
    }

    public void setPayType(Integer payType) {
        this.payType = payType;
    }

    public Date getSettleTime() {
        return settleTime;
    }

    public void setSettleTime(Date settleTime) {
        this.settleTime = settleTime;
    }

    public Double getRealPrice() {
        return realPrice;
    }

    public void setRealPrice(Double realPrice) {
        this.realPrice = realPrice;
    }

    public Double getShouldPrice() {
        return shouldPrice;
    }

    public void setShouldPrice(Double shouldPrice) {
        this.shouldPrice = shouldPrice;
    }

    public Long getSettleUserId() {
        return settleUserId;
    }

    public void setSettleUserId(Long settleUserId) {
        this.settleUserId = settleUserId;
    }

    public Long getRecordUserId() {
        return recordUserId;
    }

    public void setRecordUserId(Long recordUserId) {
        this.recordUserId = recordUserId;
    }

    public String getRecordTime() {
        return recordTime;
    }

    public void setRecordTime(String recordTime) {
        this.recordTime = recordTime;
    }

    public String getRecord() {
        return record;
    }

    public void setRecord(String record) {
        this.record = record;
    }

    public Integer getRefundStatus() {
        return refundStatus;
    }

    public void setRefundStatus(Integer refundStatus) {
        this.refundStatus = refundStatus;
    }

    public String getRefundReason() {
        return refundReason;
    }

    public void setRefundReason(String refundReason) {
        this.refundReason = refundReason;
    }

    public Date getRefundTime() {
        return refundTime;
    }

    public void setRefundTime(Date refundTime) {
        this.refundTime = refundTime;
    }

    public String getReceiveName() {
        return receiveName;
    }

    public void setReceiveName(String receiveName) {
        this.receiveName = receiveName;
    }

    public String getReceivePhone() {
        return receivePhone;
    }

    public void setReceivePhone(String receivePhone) {
        this.receivePhone = receivePhone;
    }

    public String getReceiveAddress() {
        return receiveAddress;
    }

    public void setReceiveAddress(String receiveAddress) {
        this.receiveAddress = receiveAddress;
    }

    public Date getOutTime() {
        return outTime;
    }

    public void setOutTime(Date outTime) {
        this.outTime = outTime;
    }

    public String getGoodsNames() {
        return goodsNames;
    }

    public void setGoodsNames(String goodsNames) {
        this.goodsNames = goodsNames;
    }

    public String getGoodsImg() {
        return goodsImg;
    }

    public void setGoodsImg(String goodsImg) {
        this.goodsImg = goodsImg;
    }

    public Integer getApply() {
        return apply;
    }

    public void setApply(Integer apply) {
        this.apply = apply;
    }

    public Date getApplyTime() {
        return applyTime;
    }

    public void setApplyTime(Date applyTime) {
        this.applyTime = applyTime;
    }

    public String getApplyResult() {
        return applyResult;
    }

    public void setApplyResult(String applyResult) {
        this.applyResult = applyResult;
    }

    public Long getApplyNo() {
        return applyNo;
    }

    public void setApplyNo(Long applyNo) {
        this.applyNo = applyNo;
    }

    public String getApplyFailReason() {
        return applyFailReason;
    }

    public void setApplyFailReason(String applyFailReason) {
        this.applyFailReason = applyFailReason;
    }

    public String getDistribution() {
        return distribution;
    }

    public void setDistribution(String distribution) {
        this.distribution = distribution;
    }

    public String getPeopleConfirmStatus() {
        return peopleConfirmStatus;
    }

    public void setPeopleConfirmStatus(String peopleConfirmStatus) {
        this.peopleConfirmStatus = peopleConfirmStatus;
    }

    public String getPeopleConfirmType() {
        return peopleConfirmType;
    }

    public void setPeopleConfirmType(String peopleConfirmType) {
        this.peopleConfirmType = peopleConfirmType;
    }

    public String getPeopleConfirmTime() {
        return peopleConfirmTime;
    }

    public void setPeopleConfirmTime(String peopleConfirmTime) {
        this.peopleConfirmTime = peopleConfirmTime;
    }

    public Integer getEnterpriseConfirm() {
        return enterpriseConfirm;
    }

    public void setEnterpriseConfirm(Integer enterpriseConfirm) {
        this.enterpriseConfirm = enterpriseConfirm;
    }

    public String getPick() {
        return pick;
    }

    public void setPick(String pick) {
        this.pick = pick;
    }

    public Date getPickTime() {
        return pickTime;
    }

    public void setPickTime(Date pickTime) {
        this.pickTime = pickTime;
    }

    public Long getShopId() {
        return shopId;
    }

    public void setShopId(Long shopId) {
        this.shopId = shopId;
    }

    public String getShopName() {
        return shopName;
    }

    public void setShopName(String shopName) {
        this.shopName = shopName;
    }

    public Integer getSend() {
        return send;
    }

    public void setSend(Integer send) {
        this.send = send;
    }

    public Date getSendTime() {
        return sendTime;
    }

    public void setSendTime(Date sendTime) {
        this.sendTime = sendTime;
    }

    public Long getCollageOrdersId() {
        return collageOrdersId;
    }

    public void setCollageOrdersId(Long collageOrdersId) {
        this.collageOrdersId = collageOrdersId;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getCreateBy() {
        return createBy;
    }

    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }

    public String getCreateName() {
        return createName;
    }

    public void setCreateName(String createName) {
        this.createName = createName;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Long getUpdateBy() {
        return updateBy;
    }

    public void setUpdateBy(Long updateBy) {
        this.updateBy = updateBy;
    }

    public String getUpdateName() {
        return updateName;
    }

    public void setUpdateName(String updateName) {
        this.updateName = updateName;
    }

    public Integer getDeleteStatus() {
        return deleteStatus;
    }

    public void setDeleteStatus(Integer deleteStatus) {
        this.deleteStatus = deleteStatus;
    }

    public Integer getResaleStatus() {
        return resaleStatus;
    }

    public void setResaleStatus(Integer resaleStatus) {
        this.resaleStatus = resaleStatus;
    }

    public Integer getFinishStatus() {
        return finishStatus;
    }

    public void setFinishStatus(Integer finishStatus) {
        this.finishStatus = finishStatus;
    }

    public Integer getCancelPeople() {
        return cancelPeople;
    }

    public void setCancelPeople(Integer cancelPeople) {
        this.cancelPeople = cancelPeople;
    }

    public String getGoodsUnit() {
        return goodsUnit;
    }

    public void setGoodsUnit(String goodsUnit) {
        this.goodsUnit = goodsUnit;
    }

    public Integer getCallCarStatus() {
        return callCarStatus;
    }

    public void setCallCarStatus(Integer callCarStatus) {
        this.callCarStatus = callCarStatus;
    }

    public String getCooperEntrustStatus() {
        return cooperEntrustStatus;
    }

    public void setCooperEntrustStatus(String cooperEntrustStatus) {
        this.cooperEntrustStatus = cooperEntrustStatus;
    }

    public Date getCooperEntrustTime() {
        return cooperEntrustTime;
    }

    public void setCooperEntrustTime(Date cooperEntrustTime) {
        this.cooperEntrustTime = cooperEntrustTime;
    }

    public String getApplyConfirmStatus() {
        return applyConfirmStatus;
    }

    public void setApplyConfirmStatus(String applyConfirmStatus) {
        this.applyConfirmStatus = applyConfirmStatus;
    }

    public Date getApplyConfirmTime() {
        return applyConfirmTime;
    }

    public void setApplyConfirmTime(Date applyConfirmTime) {
        this.applyConfirmTime = applyConfirmTime;
    }

    public String getVeNo() {
        return veNo;
    }

    public void setVeNo(String veNo) {
        this.veNo = veNo;
    }

    public String getVoyageNo() {
        return voyageNo;
    }

    public void setVoyageNo(String voyageNo) {
        this.voyageNo = voyageNo;
    }

    public String getPreNo() {
        return preNo;
    }

    public void setPreNo(String preNo) {
        this.preNo = preNo;
    }

    public String getPlatSeqNo() {
        return platSeqNo;
    }

    public void setPlatSeqNo(String platSeqNo) {
        this.platSeqNo = platSeqNo;
    }

    public String getBorderName() {
        return borderName;
    }

    public void setBorderName(String borderName) {
        this.borderName = borderName;
    }

    public String getIdno() {
        return idno;
    }

    public void setIdno(String idno) {
        this.idno = idno;
    }

    public String getBorderPutrecNo() {
        return borderPutrecNo;
    }

    public void setBorderPutrecNo(String borderPutrecNo) {
        this.borderPutrecNo = borderPutrecNo;
    }

    public String getSettleBillNo() {
        return settleBillNo;
    }

    public void setSettleBillNo(String settleBillNo) {
        this.settleBillNo = settleBillNo;
    }

    public Double getBuyAmount() {
        return buyAmount;
    }

    public void setBuyAmount(Double buyAmount) {
        this.buyAmount = buyAmount;
    }

    public Double getNetWt() {
        return netWt;
    }

    public void setNetWt(Double netWt) {
        this.netWt = netWt;
    }

    public Double getGrossWt() {
        return grossWt;
    }

    public void setGrossWt(Double grossWt) {
        this.grossWt = grossWt;
    }

    public Double getBuyQty() {
        return buyQty;
    }

    public void setBuyQty(Double buyQty) {
        this.buyQty = buyQty;
    }

    public Double getBuyQty1() {
        return buyQty1;
    }

    public void setBuyQty1(Double buyQty1) {
        this.buyQty1 = buyQty1;
    }

    public Double getBuyQty2() {
        return buyQty2;
    }

    public void setBuyQty2(Double buyQty2) {
        this.buyQty2 = buyQty2;
    }

    public String getPreIeportNo() {
        return preIeportNo;
    }

    public void setPreIeportNo(String preIeportNo) {
        this.preIeportNo = preIeportNo;
    }

    public OrderDto(Long id, String tradeNo, Long tradeAreaId, String tradeAreaName, String addressIds, Long goodsId, Long saleMainId, Long groupId, Long buyUserId, String buyUserName, String buyUserType, Long enterpriseId, String enterpriseName, Double totalWeight, Double totalPrice, Date tradeTime, Integer tradeStatus, Integer payType, Date settleTime, Double realPrice, Double shouldPrice, Long settleUserId, Long recordUserId, String recordTime, String record, String refundReason, Date refundTime, String receiveName, String receivePhone, String receiveAddress, Date outTime, String goodsNames, String goodsImg, Integer apply, Date applyTime, String applyResult, Long applyNo, String applyFailReason, String distribution, String peopleConfirmStatus, String peopleConfirmType, String peopleConfirmTime, Integer enterpriseConfirm, String pick, Date pickTime, Long shopId, String shopName, Integer send, Date sendTime, Long collageOrdersId, Date createTime, String createBy, String createName, Date updateTime, Long updateBy, String updateName, Integer deleteStatus, Integer resaleStatus, Integer finishStatus, Integer cancelPeople, String goodsUnit, Integer callCarStatus, String cooperEntrustStatus, Date cooperEntrustTime, String applyConfirmStatus, Date applyConfirmTime, String veNo, String voyageNo, String preNo, String platSeqNo, String borderName, String idno, String borderPutrecNo, String settleBillNo, Double buyAmount, Double netWt, Double grossWt, Double buyQty, Double buyQty1, Double buyQty2, String preIeportNo) {
        this.id = id;
        this.tradeNo = tradeNo;
        this.tradeAreaId = tradeAreaId;
        this.tradeAreaName = tradeAreaName;
        this.addressIds = addressIds;
        this.goodsId = goodsId;
        this.saleMainId = saleMainId;
        this.groupId = groupId;
        this.buyUserId = buyUserId;
        this.buyUserName = buyUserName;
        this.buyUserType = buyUserType;
        this.enterpriseId = enterpriseId;
        this.enterpriseName = enterpriseName;
        this.totalWeight = totalWeight;
        this.totalPrice = totalPrice;
        this.tradeTime = tradeTime;
        this.tradeStatus = tradeStatus;
        this.payType = payType;
        this.settleTime = settleTime;
        this.realPrice = realPrice;
        this.shouldPrice = shouldPrice;
        this.settleUserId = settleUserId;
        this.recordUserId = recordUserId;
        this.recordTime = recordTime;
        this.record = record;
        this.refundReason = refundReason;
        this.refundTime = refundTime;
        this.receiveName = receiveName;
        this.receivePhone = receivePhone;
        this.receiveAddress = receiveAddress;
        this.outTime = outTime;
        this.goodsNames = goodsNames;
        this.goodsImg = goodsImg;
        this.apply = apply;
        this.applyTime = applyTime;
        this.applyResult = applyResult;
        this.applyNo = applyNo;
        this.applyFailReason = applyFailReason;
        this.distribution = distribution;
        this.peopleConfirmStatus = peopleConfirmStatus;
        this.peopleConfirmType = peopleConfirmType;
        this.peopleConfirmTime = peopleConfirmTime;
        this.enterpriseConfirm = enterpriseConfirm;
        this.pick = pick;
        this.pickTime = pickTime;
        this.shopId = shopId;
        this.shopName = shopName;
        this.send = send;
        this.sendTime = sendTime;
        this.collageOrdersId = collageOrdersId;
        this.createTime = createTime;
        this.createBy = createBy;
        this.createName = createName;
        this.updateTime = updateTime;
        this.updateBy = updateBy;
        this.updateName = updateName;
        this.deleteStatus = deleteStatus;
        this.resaleStatus = resaleStatus;
        this.finishStatus = finishStatus;
        this.cancelPeople = cancelPeople;
        this.goodsUnit = goodsUnit;
        this.callCarStatus = callCarStatus;
        this.cooperEntrustStatus = cooperEntrustStatus;
        this.cooperEntrustTime = cooperEntrustTime;
        this.applyConfirmStatus = applyConfirmStatus;
        this.applyConfirmTime = applyConfirmTime;
        this.veNo = veNo;
        this.voyageNo = voyageNo;
        this.preNo = preNo;
        this.platSeqNo = platSeqNo;
        this.borderName = borderName;
        this.idno = idno;
        this.borderPutrecNo = borderPutrecNo;
        this.settleBillNo = settleBillNo;
        this.buyAmount = buyAmount;
        this.netWt = netWt;
        this.grossWt = grossWt;
        this.buyQty = buyQty;
        this.buyQty1 = buyQty1;
        this.buyQty2 = buyQty2;
        this.preIeportNo = preIeportNo;
    }

    public OrderDto() {
    }
}
